Subject: Re: bug#31654: emacs-lisp-intro.texi - backtrace

From: Eli Zaretskii <[email-masked]>
Date: Thu, 31 May 2018 17:44:08 +0300

> From: Van L <[email-masked]>
> Date: Thu, 31 May 2018 13:00:02 +1000
> Cc: [email-masked]
> 
> How about something like a universal argument for level of detail of verbosity? for backtrace.

I don't see why it would be useful.  Backtraces must be as accurate as
possible, showing the exact sequence of calls, so that the user who
debugs the problem could step through the relevant code.  Omitting
parts of a backtrace because they might be "ugly" or "confusing" would
be a disservice, I think.  I have never seen any practical use case
where that would be a good idea.  And I don't think I've seen a
debugger that provides such a feature.

Does anyone see a practical use case for such a feature?